Type to search.

Run an enrich policy

  • PUT /_enrich/policy/{name}/_execute
Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 7.5 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Create the enrich index for an existing enrich policy.

Path parameters

name string required

Enrich policy to execute.

Query parameters

master_timeout union oneOf · default: 30s

Period to wait for a connection to the master node.

Values: -1 0
wait_for_completion boolean · default: true

If true, the request blocks other enrich policy execution requests until complete.

Response

application/json
task number | string